<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
    <div class="form-horizontal">
        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
            <ui:param name="id" value="relationshipIn"/>
            <ui:define name="label">#{messages['net.ihe.gazelle.patientmanager.Relationship']}</ui:define>
            <h:selectOneMenu value="#{currentPerson.relationshipCode}"
                             styleClass="form-control" id="relationshipIn" required="true">
                <f:selectItems value="#{valueSet.getListOfConcepts('RELATIONSHIP')}"/>
            </h:selectOneMenu>
        </s:decorate>
        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
            <ui:param name="id" value="roleIn"/>
            <ui:define name="label">#{messages['net.ihe.gazelle.patientmanager.ContactType']}</ui:define>
            <h:selectOneMenu value="#{currentPerson.contactRoleCode}"
                             styleClass="form-control" id="roleIn">
                <f:selectItems value="#{valueSet.getListOfConcepts('CONTACT_ROLE')}"/>
            </h:selectOneMenu>
        </s:decorate>
        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
            <ui:param name="id" value="firstname"/>
            <ui:define name="label">#{messages['users.FirstName']}</ui:define>
            <h:inputText value="#{currentPerson.firstName}" styleClass="form-control" id="firstname"/>
        </s:decorate>
        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
            <ui:param name="id" value="secondname"/>
            <ui:define name="label">#{messages['net.ihe.gazelle.patientmanager.MiddleName']}</ui:define>
            <h:inputText value="#{currentPerson.secondName}" styleClass="form-control" id="secondname"/>
        </s:decorate>
        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
            <ui:param name="id" value="lastname"/>
            <ui:define name="label">#{messages['gazelle.simulator.pam.LastName']}</ui:define>
            <h:inputText value="#{currentPerson.lastName}" styleClass="form-control" id="lastname"/>
        </s:decorate>
        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
            <ui:param name="id" value="identifier"/>
            <ui:define name="label">#{messages['gazelle.pam.Identifier']}</ui:define>
            <h:inputText value="#{currentPerson.identifier}" styleClass="form-control" id="identifier"/>
        </s:decorate>
    </div>
</ui:composition>